FullWrtStruct::Entry Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
FullWrtStruct::Entry Struct Referencefinal

the definition of a zone in a FullWrite file More...

`#include <FullWrtStruct.hxx>`

Inheritance diagram for FullWrtStruct::Entry:

## Public Member Functions
| Entry (MWAWInputStreamPtr const &input)
| ~Entry () final
bool | valid () const
| returns true if the entry and the input is valid More...
void | update ()
| create a inputstream, ... if needed More...
void | closeDebugFile ()
| write the debug file, ... More...
libmwaw::DebugFile & | getAsciiFile ()
| returns a reference to the ascii file More...
bool | operator== (const Entry &a) const
| basic operator== More...
bool | operator!= (const Entry &a) const
| basic operator!= More...
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor More...
| MWAWEntry (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry &&)=default
virtual | ~MWAWEntry ()
| destructor More...
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long off)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid () const
| returns true if the zone length is positive More...
bool | operator== (const MWAWEntry &a) const
| basic operator== More...
bool | operator!= (const MWAWEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
std::string const & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &typ) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
std::string const & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the id More...
void | setId (int newId)
| sets the id More...
std::string const & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Public Attributes
MWAWInputStreamPtr | m_input
| the input More...
int | m_nextId
| the next entry id More...
int | m_fileType
| the zone type id find in DStruct More...
int | m_typeId
| the type id (find in FZoneFlags) More...
int | m_values [3]
| some unknown values More...
librevenge::RVNGBinaryData | m_data
| the main data ( if the entry comes from several zone ) More...
std::shared_ptr< libmwaw::DebugFile > | m_asciiFile
| the debug file More...

## Private Member Functions
| Entry (Entry const &)=delete
Entry & | operator= (Entry const &)=delete

## Friends
std::ostream & | operator<< (std::ostream &o, Entry const &entry)
| operator<< More...

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
std::string | m_extra
| an extra string More...
int | m_id
| an identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...

## Detailed Description

the definition of a zone in a FullWrite file

## Constructor & Destructor Documentation

## ◆ Entry() [1/2]

FullWrtStruct::Entry::Entry | ( | MWAWInputStreamPtr const & | input | ) |
| explicit

## ◆ ~Entry()

FullWrtStruct::Entry::~Entry | ( |  | ) |
| final

## ◆ Entry() [2/2]

FullWrtStruct::Entry::Entry | ( | Entry const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ closeDebugFile()

void FullWrtStruct::Entry::closeDebugFile | ( |  | ) |

write the debug file, ...

Referenced by ~Entry().

## ◆ getAsciiFile()

libmwaw::DebugFile & FullWrtStruct::Entry::getAsciiFile | ( |  | ) |

returns a reference to the ascii file

## ◆ operator!=()

bool FullWrtStruct::Entry::operator!= | ( | const Entry & | a | ) | const
| inline

basic operator!=

## ◆ operator=()

Entry& FullWrtStruct::Entry::operator= | ( | Entry const & |  | ) |
| privatedelete

## ◆ operator==()

bool FullWrtStruct::Entry::operator== | ( | const Entry & | a | ) | const

basic operator==

Referenced by operator!=().

## ◆ update()

void FullWrtStruct::Entry::update | ( |  | ) |

create a inputstream, ... if needed

## ◆ valid()

bool FullWrtStruct::Entry::valid | ( |  | ) | const

returns true if the entry and the input is valid

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Entry const & | entry
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_asciiFile

std::shared_ptr<libmwaw::DebugFile> FullWrtStruct::Entry::m_asciiFile

the debug file

Referenced by closeDebugFile(), getAsciiFile(), and update().

## ◆ m_data

librevenge::RVNGBinaryData FullWrtStruct::Entry::m_data

the main data ( if the entry comes from several zone )

Referenced by closeDebugFile(), and update().

## ◆ m_fileType

int FullWrtStruct::Entry::m_fileType

the zone type id find in DStruct

Referenced by operator==().

## ◆ m_input

MWAWInputStreamPtr FullWrtStruct::Entry::m_input

the input

Referenced by operator==(), update(), and valid().

## ◆ m_nextId

int FullWrtStruct::Entry::m_nextId

the next entry id

Referenced by operator==().

## ◆ m_typeId

int FullWrtStruct::Entry::m_typeId

the type id (find in FZoneFlags)

Referenced by operator==(), and update().

## ◆ m_values

int FullWrtStruct::Entry::m_values[3]

some unknown values

Referenced by Entry(), and operator==().

The documentation for this struct was generated from the following files:

- FullWrtStruct.hxx
- FullWrtStruct.cxx